# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{fog}
  s.version = "0.4.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["geemus (Wesley Beary)"]
  s.date = %q{2011-01-05}
  s.default_executable = %q{fog}
  s.description = %q{The Ruby fog_cloud computing library.}
  s.email = %q{geemus@gmail.com}
  s.executables = ["fog"]
  s.extra_rdoc_files = ["README.rdoc"]
  s.files = [".document", ".gitignore", "Gemfile", "Gemfile.lock", "README.rdoc", "Rakefile", "benchs/fog_vs.rb", "benchs/params.rb", "benchs/parse_vs_push.rb", "bin/fog", "examples/dns_tests.rb", "examples/storage_tests.rb", "fog.gemspec", "lib/fog.rb", "lib/fog/aws.rb", "lib/fog/aws/bin.rb", "lib/fog/aws/cdn.rb", "lib/fog/aws/compute.rb", "lib/fog/aws/dns.rb", "lib/fog/aws/ec2.rb", "lib/fog/aws/elb.rb", "lib/fog/aws/iam.rb", "lib/fog/aws/models/compute/address.rb", "lib/fog/aws/models/compute/addresses.rb", "lib/fog/aws/models/compute/flavor.rb", "lib/fog/aws/models/compute/flavors.rb", "lib/fog/aws/models/compute/image.rb", "lib/fog/aws/models/compute/images.rb", "lib/fog/aws/models/compute/key_pair.rb", "lib/fog/aws/models/compute/key_pairs.rb", "lib/fog/aws/models/compute/security_group.rb", "lib/fog/aws/models/compute/security_groups.rb", "lib/fog/aws/models/compute/server.rb", "lib/fog/aws/models/compute/servers.rb", "lib/fog/aws/models/compute/snapshot.rb", "lib/fog/aws/models/compute/snapshots.rb", "lib/fog/aws/models/compute/tag.rb", "lib/fog/aws/models/compute/tags.rb", "lib/fog/aws/models/compute/volume.rb", "lib/fog/aws/models/compute/volumes.rb", "lib/fog/aws/models/dns/record.rb", "lib/fog/aws/models/dns/records.rb", "lib/fog/aws/models/dns/zone.rb", "lib/fog/aws/models/dns/zones.rb", "lib/fog/aws/models/storage/directories.rb", "lib/fog/aws/models/storage/directory.rb", "lib/fog/aws/models/storage/file.rb", "lib/fog/aws/models/storage/files.rb", "lib/fog/aws/parsers/cdn/distribution.rb", "lib/fog/aws/parsers/cdn/get_distribution_list.rb", "lib/fog/aws/parsers/cdn/post_invalidation.rb", "lib/fog/aws/parsers/compute/allocate_address.rb", "lib/fog/aws/parsers/compute/attach_volume.rb", "lib/fog/aws/parsers/compute/basic.rb", "lib/fog/aws/parsers/compute/create_image.rb", "lib/fog/aws/parsers/compute/create_key_pair.rb", "lib/fog/aws/parsers/compute/create_snapshot.rb", "lib/fog/aws/parsers/compute/create_volume.rb", "lib/fog/aws/parsers/compute/deregister_image.rb", "lib/fog/aws/parsers/compute/describe_addresses.rb", "lib/fog/aws/parsers/compute/describe_availability_zones.rb", "lib/fog/aws/parsers/compute/describe_images.rb", "lib/fog/aws/parsers/compute/describe_instances.rb", "lib/fog/aws/parsers/compute/describe_key_pairs.rb", "lib/fog/aws/parsers/compute/describe_regions.rb", "lib/fog/aws/parsers/compute/describe_reserved_instances.rb", "lib/fog/aws/parsers/compute/describe_security_groups.rb", "lib/fog/aws/parsers/compute/describe_snapshots.rb", "lib/fog/aws/parsers/compute/describe_tags.rb", "lib/fog/aws/parsers/compute/describe_volumes.rb", "lib/fog/aws/parsers/compute/detach_volume.rb", "lib/fog/aws/parsers/compute/get_console_output.rb", "lib/fog/aws/parsers/compute/import_key_pair.rb", "lib/fog/aws/parsers/compute/register_image.rb", "lib/fog/aws/parsers/compute/run_instances.rb", "lib/fog/aws/parsers/compute/start_stop_instances.rb", "lib/fog/aws/parsers/compute/terminate_instances.rb", "lib/fog/aws/parsers/dns/change_resource_record_sets.rb", "lib/fog/aws/parsers/dns/create_hosted_zone.rb", "lib/fog/aws/parsers/dns/delete_hosted_zone.rb", "lib/fog/aws/parsers/dns/get_change.rb", "lib/fog/aws/parsers/dns/get_hosted_zone.rb", "lib/fog/aws/parsers/dns/list_hosted_zones.rb", "lib/fog/aws/parsers/dns/list_resource_record_sets.rb", "lib/fog/aws/parsers/elb/create_load_balancer.rb", "lib/fog/aws/parsers/elb/delete_load_balancer.rb", "lib/fog/aws/parsers/elb/deregister_instances_from_load_balancer.rb", "lib/fog/aws/parsers/elb/describe_instance_health.rb", "lib/fog/aws/parsers/elb/describe_load_balancers.rb", "lib/fog/aws/parsers/elb/disable_availability_zones_for_load_balancer.rb", "lib/fog/aws/parsers/elb/enable_availability_zones_for_load_balancer.rb", "lib/fog/aws/parsers/elb/register_instances_with_load_balancer.rb", "lib/fog/aws/parsers/iam/basic.rb", "lib/fog/aws/parsers/iam/create_access_key.rb", "lib/fog/aws/parsers/iam/create_group.rb", "lib/fog/aws/parsers/iam/create_user.rb", "lib/fog/aws/parsers/iam/get_user.rb", "lib/fog/aws/parsers/iam/list_access_keys.rb", "lib/fog/aws/parsers/iam/list_groups.rb", "lib/fog/aws/parsers/iam/list_policies.rb", "lib/fog/aws/parsers/iam/list_users.rb", "lib/fog/aws/parsers/simpledb/basic.rb", "lib/fog/aws/parsers/simpledb/domain_metadata.rb", "lib/fog/aws/parsers/simpledb/get_attributes.rb", "lib/fog/aws/parsers/simpledb/list_domains.rb", "lib/fog/aws/parsers/simpledb/select.rb", "lib/fog/aws/parsers/storage/access_control_list.rb", "lib/fog/aws/parsers/storage/complete_multipart_upload.rb", "lib/fog/aws/parsers/storage/copy_object.rb", "lib/fog/aws/parsers/storage/get_bucket.rb", "lib/fog/aws/parsers/storage/get_bucket_location.rb", "lib/fog/aws/parsers/storage/get_bucket_logging.rb", "lib/fog/aws/parsers/storage/get_bucket_object_versions.rb", "lib/fog/aws/parsers/storage/get_bucket_versioning.rb", "lib/fog/aws/parsers/storage/get_request_payment.rb", "lib/fog/aws/parsers/storage/get_service.rb", "lib/fog/aws/parsers/storage/initiate_multipart_upload.rb", "lib/fog/aws/parsers/storage/list_multipart_uploads.rb", "lib/fog/aws/parsers/storage/list_parts.rb", "lib/fog/aws/requests/cdn/delete_distribution.rb", "lib/fog/aws/requests/cdn/get_distribution.rb", "lib/fog/aws/requests/cdn/get_distribution_list.rb", "lib/fog/aws/requests/cdn/post_distribution.rb", "lib/fog/aws/requests/cdn/post_invalidation.rb", "lib/fog/aws/requests/cdn/put_distribution_config.rb", "lib/fog/aws/requests/compute/allocate_address.rb", "lib/fog/aws/requests/compute/associate_address.rb", "lib/fog/aws/requests/compute/attach_volume.rb", "lib/fog/aws/requests/compute/authorize_security_group_ingress.rb", "lib/fog/aws/requests/compute/create_image.rb", "lib/fog/aws/requests/compute/create_key_pair.rb", "lib/fog/aws/requests/compute/create_security_group.rb", "lib/fog/aws/requests/compute/create_snapshot.rb", "lib/fog/aws/requests/compute/create_tags.rb", "lib/fog/aws/requests/compute/create_volume.rb", "lib/fog/aws/requests/compute/delete_key_pair.rb", "lib/fog/aws/requests/compute/delete_security_group.rb", "lib/fog/aws/requests/compute/delete_snapshot.rb", "lib/fog/aws/requests/compute/delete_tags.rb", "lib/fog/aws/requests/compute/delete_volume.rb", "lib/fog/aws/requests/compute/deregister_image.rb", "lib/fog/aws/requests/compute/describe_addresses.rb", "lib/fog/aws/requests/compute/describe_availability_zones.rb", "lib/fog/aws/requests/compute/describe_images.rb", "lib/fog/aws/requests/compute/describe_instances.rb", "lib/fog/aws/requests/compute/describe_key_pairs.rb", "lib/fog/aws/requests/compute/describe_regions.rb", "lib/fog/aws/requests/compute/describe_reserved_instances.rb", "lib/fog/aws/requests/compute/describe_security_groups.rb", "lib/fog/aws/requests/compute/describe_snapshots.rb", "lib/fog/aws/requests/compute/describe_tags.rb", "lib/fog/aws/requests/compute/describe_volumes.rb", "lib/fog/aws/requests/compute/detach_volume.rb", "lib/fog/aws/requests/compute/disassociate_address.rb", "lib/fog/aws/requests/compute/get_console_output.rb", "lib/fog/aws/requests/compute/import_key_pair.rb", "lib/fog/aws/requests/compute/modify_image_attributes.rb", "lib/fog/aws/requests/compute/modify_snapshot_attribute.rb", "lib/fog/aws/requests/compute/reboot_instances.rb", "lib/fog/aws/requests/compute/register_image.rb", "lib/fog/aws/requests/compute/release_address.rb", "lib/fog/aws/requests/compute/revoke_security_group_ingress.rb", "lib/fog/aws/requests/compute/run_instances.rb", "lib/fog/aws/requests/compute/start_instances.rb", "lib/fog/aws/requests/compute/stop_instances.rb", "lib/fog/aws/requests/compute/terminate_instances.rb", "lib/fog/aws/requests/dns/change_resource_record_sets.rb", "lib/fog/aws/requests/dns/create_hosted_zone.rb", "lib/fog/aws/requests/dns/delete_hosted_zone.rb", "lib/fog/aws/requests/dns/get_change.rb", "lib/fog/aws/requests/dns/get_hosted_zone.rb", "lib/fog/aws/requests/dns/list_hosted_zones.rb", "lib/fog/aws/requests/dns/list_resource_record_sets.rb", "lib/fog/aws/requests/elb/create_load_balancer.rb", "lib/fog/aws/requests/elb/delete_load_balancer.rb", "lib/fog/aws/requests/elb/deregister_instances_from_load_balancer.rb", "lib/fog/aws/requests/elb/describe_instance_health.rb", "lib/fog/aws/requests/elb/describe_load_balancers.rb", "lib/fog/aws/requests/elb/disable_availability_zones_for_load_balancer.rb", "lib/fog/aws/requests/elb/enable_availability_zones_for_load_balancer.rb", "lib/fog/aws/requests/elb/register_instances_with_load_balancer.rb", "lib/fog/aws/requests/iam/add_user_to_group.rb", "lib/fog/aws/requests/iam/create_access_key.rb", "lib/fog/aws/requests/iam/create_group.rb", "lib/fog/aws/requests/iam/create_user.rb", "lib/fog/aws/requests/iam/delete_access_key.rb", "lib/fog/aws/requests/iam/delete_group.rb", "lib/fog/aws/requests/iam/delete_group_policy.rb", "lib/fog/aws/requests/iam/delete_user.rb", "lib/fog/aws/requests/iam/delete_user_policy.rb", "lib/fog/aws/requests/iam/get_user.rb", "lib/fog/aws/requests/iam/list_access_keys.rb", "lib/fog/aws/requests/iam/list_group_policies.rb", "lib/fog/aws/requests/iam/list_groups.rb", "lib/fog/aws/requests/iam/list_user_policies.rb", "lib/fog/aws/requests/iam/list_users.rb", "lib/fog/aws/requests/iam/put_group_policy.rb", "lib/fog/aws/requests/iam/put_user_policy.rb", "lib/fog/aws/requests/iam/remove_user_from_group.rb", "lib/fog/aws/requests/iam/update_access_key.rb", "lib/fog/aws/requests/simpledb/batch_put_attributes.rb", "lib/fog/aws/requests/simpledb/create_domain.rb", "lib/fog/aws/requests/simpledb/delete_attributes.rb", "lib/fog/aws/requests/simpledb/delete_domain.rb", "lib/fog/aws/requests/simpledb/domain_metadata.rb", "lib/fog/aws/requests/simpledb/get_attributes.rb", "lib/fog/aws/requests/simpledb/list_domains.rb", "lib/fog/aws/requests/simpledb/put_attributes.rb", "lib/fog/aws/requests/simpledb/select.rb", "lib/fog/aws/requests/storage/abort_multipart_upload.rb", "lib/fog/aws/requests/storage/complete_multipart_upload.rb", "lib/fog/aws/requests/storage/copy_object.rb", "lib/fog/aws/requests/storage/delete_bucket.rb", "lib/fog/aws/requests/storage/delete_object.rb", "lib/fog/aws/requests/storage/get_bucket.rb", "lib/fog/aws/requests/storage/get_bucket_acl.rb", "lib/fog/aws/requests/storage/get_bucket_location.rb", "lib/fog/aws/requests/storage/get_bucket_logging.rb", "lib/fog/aws/requests/storage/get_bucket_object_versions.rb", "lib/fog/aws/requests/storage/get_bucket_versioning.rb", "lib/fog/aws/requests/storage/get_object.rb", "lib/fog/aws/requests/storage/get_object_acl.rb", "lib/fog/aws/requests/storage/get_object_torrent.rb", "lib/fog/aws/requests/storage/get_object_url.rb", "lib/fog/aws/requests/storage/get_request_payment.rb", "lib/fog/aws/requests/storage/get_service.rb", "lib/fog/aws/requests/storage/head_object.rb", "lib/fog/aws/requests/storage/initiate_multipart_upload.rb", "lib/fog/aws/requests/storage/list_multipart_uploads.rb", "lib/fog/aws/requests/storage/list_parts.rb", "lib/fog/aws/requests/storage/post_object_hidden_fields.rb", "lib/fog/aws/requests/storage/put_bucket.rb", "lib/fog/aws/requests/storage/put_bucket_acl.rb", "lib/fog/aws/requests/storage/put_bucket_logging.rb", "lib/fog/aws/requests/storage/put_bucket_versioning.rb", "lib/fog/aws/requests/storage/put_object.rb", "lib/fog/aws/requests/storage/put_object_acl.rb", "lib/fog/aws/requests/storage/put_object_url.rb", "lib/fog/aws/requests/storage/put_request_payment.rb", "lib/fog/aws/requests/storage/sync_clock.rb", "lib/fog/aws/requests/storage/upload_part.rb", "lib/fog/aws/s3.rb", "lib/fog/aws/simpledb.rb", "lib/fog/aws/storage.rb", "lib/fog/bluebox.rb", "lib/fog/bluebox/bin.rb", "lib/fog/bluebox/compute.rb", "lib/fog/bluebox/models/compute/flavor.rb", "lib/fog/bluebox/models/compute/flavors.rb", "lib/fog/bluebox/models/compute/image.rb", "lib/fog/bluebox/models/compute/images.rb", "lib/fog/bluebox/models/compute/server.rb", "lib/fog/bluebox/models/compute/servers.rb", "lib/fog/bluebox/requests/compute/create_block.rb", "lib/fog/bluebox/requests/compute/destroy_block.rb", "lib/fog/bluebox/requests/compute/get_block.rb", "lib/fog/bluebox/requests/compute/get_blocks.rb", "lib/fog/bluebox/requests/compute/get_product.rb", "lib/fog/bluebox/requests/compute/get_products.rb", "lib/fog/bluebox/requests/compute/get_template.rb", "lib/fog/bluebox/requests/compute/get_templates.rb", "lib/fog/bluebox/requests/compute/reboot_block.rb", "lib/fog/brightbox.rb", "lib/fog/brightbox/bin.rb", "lib/fog/brightbox/compute.rb", "lib/fog/brightbox/models/compute/account.rb", "lib/fog/brightbox/models/compute/cloud_ip.rb", "lib/fog/brightbox/models/compute/cloud_ips.rb", "lib/fog/brightbox/models/compute/flavor.rb", "lib/fog/brightbox/models/compute/flavors.rb", "lib/fog/brightbox/models/compute/image.rb", "lib/fog/brightbox/models/compute/images.rb", "lib/fog/brightbox/models/compute/load_balancer.rb", "lib/fog/brightbox/models/compute/load_balancers.rb", "lib/fog/brightbox/models/compute/server.rb", "lib/fog/brightbox/models/compute/servers.rb", "lib/fog/brightbox/models/compute/user.rb", "lib/fog/brightbox/models/compute/users.rb", "lib/fog/brightbox/models/compute/zone.rb", "lib/fog/brightbox/models/compute/zones.rb", "lib/fog/brightbox/requests/compute/add_nodes_load_balancer.rb", "lib/fog/brightbox/requests/compute/create_api_client.rb", "lib/fog/brightbox/requests/compute/create_cloud_ip.rb", "lib/fog/brightbox/requests/compute/create_image.rb", "lib/fog/brightbox/requests/compute/create_load_balancer.rb", "lib/fog/brightbox/requests/compute/create_server.rb", "lib/fog/brightbox/requests/compute/destroy_api_client.rb", "lib/fog/brightbox/requests/compute/destroy_cloud_ip.rb", "lib/fog/brightbox/requests/compute/destroy_image.rb", "lib/fog/brightbox/requests/compute/destroy_load_balancer.rb", "lib/fog/brightbox/requests/compute/destroy_server.rb", "lib/fog/brightbox/requests/compute/get_account.rb", "lib/fog/brightbox/requests/compute/get_api_client.rb", "lib/fog/brightbox/requests/compute/get_cloud_ip.rb", "lib/fog/brightbox/requests/compute/get_image.rb", "lib/fog/brightbox/requests/compute/get_interface.rb", "lib/fog/brightbox/requests/compute/get_load_balancer.rb", "lib/fog/brightbox/requests/compute/get_server.rb", "lib/fog/brightbox/requests/compute/get_server_type.rb", "lib/fog/brightbox/requests/compute/get_user.rb", "lib/fog/brightbox/requests/compute/get_zone.rb", "lib/fog/brightbox/requests/compute/list_api_clients.rb", "lib/fog/brightbox/requests/compute/list_cloud_ips.rb", "lib/fog/brightbox/requests/compute/list_images.rb", "lib/fog/brightbox/requests/compute/list_load_balancers.rb", "lib/fog/brightbox/requests/compute/list_server_types.rb", "lib/fog/brightbox/requests/compute/list_servers.rb", "lib/fog/brightbox/requests/compute/list_users.rb", "lib/fog/brightbox/requests/compute/list_zones.rb", "lib/fog/brightbox/requests/compute/map_cloud_ip.rb", "lib/fog/brightbox/requests/compute/remove_nodes_load_balancer.rb", "lib/fog/brightbox/requests/compute/reset_ftp_password_account.rb", "lib/fog/brightbox/requests/compute/resize_server.rb", "lib/fog/brightbox/requests/compute/shutdown_server.rb", "lib/fog/brightbox/requests/compute/snapshot_server.rb", "lib/fog/brightbox/requests/compute/start_server.rb", "lib/fog/brightbox/requests/compute/stop_server.rb", "lib/fog/brightbox/requests/compute/unmap_cloud_ip.rb", "lib/fog/brightbox/requests/compute/update_account.rb", "lib/fog/brightbox/requests/compute/update_api_client.rb", "lib/fog/brightbox/requests/compute/update_image.rb", "lib/fog/brightbox/requests/compute/update_load_balancer.rb", "lib/fog/brightbox/requests/compute/update_server.rb", "lib/fog/brightbox/requests/compute/update_user.rb", "lib/fog/core.rb", "lib/fog/core/attributes.rb", "lib/fog/core/bin.rb", "lib/fog/core/collection.rb", "lib/fog/core/compute.rb", "lib/fog/core/connection.rb", "lib/fog/core/credentials.rb", "lib/fog/core/deprecation.rb", "lib/fog/core/dns.rb", "lib/fog/core/errors.rb", "lib/fog/core/hmac.rb", "lib/fog/core/mock.rb", "lib/fog/core/model.rb", "lib/fog/core/parser.rb", "lib/fog/core/provider.rb", "lib/fog/core/service.rb", "lib/fog/core/ssh.rb", "lib/fog/core/storage.rb", "lib/fog/core/time.rb", "lib/fog/core/wait_for.rb", "lib/fog/go_grid.rb", "lib/fog/go_grid/bin.rb", "lib/fog/go_grid/compute.rb", "lib/fog/go_grid/models/compute/image.rb", "lib/fog/go_grid/models/compute/images.rb", "lib/fog/go_grid/models/compute/server.rb", "lib/fog/go_grid/models/compute/servers.rb", "lib/fog/go_grid/requests/compute/common_lookup_list.rb", "lib/fog/go_grid/requests/compute/grid_image_get.rb", "lib/fog/go_grid/requests/compute/grid_image_list.rb", "lib/fog/go_grid/requests/compute/grid_ip_list.rb", "lib/fog/go_grid/requests/compute/grid_loadbalancer_list.rb", "lib/fog/go_grid/requests/compute/grid_server_add.rb", "lib/fog/go_grid/requests/compute/grid_server_delete.rb", "lib/fog/go_grid/requests/compute/grid_server_get.rb", "lib/fog/go_grid/requests/compute/grid_server_list.rb", "lib/fog/go_grid/requests/compute/grid_server_power.rb", "lib/fog/google.rb", "lib/fog/google/bin.rb", "lib/fog/google/models/storage/directories.rb", "lib/fog/google/models/storage/directory.rb", "lib/fog/google/models/storage/file.rb", "lib/fog/google/models/storage/files.rb", "lib/fog/google/parsers/storage/access_control_list.rb", "lib/fog/google/parsers/storage/copy_object.rb", "lib/fog/google/parsers/storage/get_bucket.rb", "lib/fog/google/parsers/storage/get_bucket_logging.rb", "lib/fog/google/parsers/storage/get_bucket_object_versions.rb", "lib/fog/google/parsers/storage/get_bucket_versioning.rb", "lib/fog/google/parsers/storage/get_request_payment.rb", "lib/fog/google/parsers/storage/get_service.rb", "lib/fog/google/requests/storage/copy_object.rb", "lib/fog/google/requests/storage/delete_bucket.rb", "lib/fog/google/requests/storage/delete_object.rb", "lib/fog/google/requests/storage/get_bucket.rb", "lib/fog/google/requests/storage/get_bucket_acl.rb", "lib/fog/google/requests/storage/get_object.rb", "lib/fog/google/requests/storage/get_object_acl.rb", "lib/fog/google/requests/storage/get_object_torrent.rb", "lib/fog/google/requests/storage/get_object_url.rb", "lib/fog/google/requests/storage/get_service.rb", "lib/fog/google/requests/storage/head_object.rb", "lib/fog/google/requests/storage/put_bucket.rb", "lib/fog/google/requests/storage/put_bucket_acl.rb", "lib/fog/google/requests/storage/put_object.rb", "lib/fog/google/requests/storage/put_object_url.rb", "lib/fog/google/storage.rb", "lib/fog/linode.rb", "lib/fog/linode/bin.rb", "lib/fog/linode/compute.rb", "lib/fog/linode/dns.rb", "lib/fog/linode/models/dns/record.rb", "lib/fog/linode/models/dns/records.rb", "lib/fog/linode/models/dns/zone.rb", "lib/fog/linode/models/dns/zones.rb", "lib/fog/linode/requests/compute/avail_datacenters.rb", "lib/fog/linode/requests/compute/avail_distributions.rb", "lib/fog/linode/requests/compute/avail_kernels.rb", "lib/fog/linode/requests/compute/avail_linodeplans.rb", "lib/fog/linode/requests/compute/avail_stackscripts.rb", "lib/fog/linode/requests/compute/linode_create.rb", "lib/fog/linode/requests/compute/linode_delete.rb", "lib/fog/linode/requests/compute/linode_list.rb", "lib/fog/linode/requests/compute/linode_reboot.rb", "lib/fog/linode/requests/dns/domain_create.rb", "lib/fog/linode/requests/dns/domain_delete.rb", "lib/fog/linode/requests/dns/domain_list.rb", "lib/fog/linode/requests/dns/domain_resource_create.rb", "lib/fog/linode/requests/dns/domain_resource_delete.rb", "lib/fog/linode/requests/dns/domain_resource_list.rb", "lib/fog/linode/requests/dns/domain_resource_update.rb", "lib/fog/linode/requests/dns/domain_update.rb", "lib/fog/local.rb", "lib/fog/local/bin.rb", "lib/fog/local/models/storage/directories.rb", "lib/fog/local/models/storage/directory.rb", "lib/fog/local/models/storage/file.rb", "lib/fog/local/models/storage/files.rb", "lib/fog/local/storage.rb", "lib/fog/new_servers.rb", "lib/fog/new_servers/bin.rb", "lib/fog/new_servers/compute.rb", "lib/fog/new_servers/requests/compute/add_server.rb", "lib/fog/new_servers/requests/compute/cancel_server.rb", "lib/fog/new_servers/requests/compute/get_server.rb", "lib/fog/new_servers/requests/compute/list_images.rb", "lib/fog/new_servers/requests/compute/list_plans.rb", "lib/fog/new_servers/requests/compute/list_servers.rb", "lib/fog/new_servers/requests/compute/reboot_server.rb", "lib/fog/rackspace.rb", "lib/fog/rackspace/bin.rb", "lib/fog/rackspace/cdn.rb", "lib/fog/rackspace/compute.rb", "lib/fog/rackspace/files.rb", "lib/fog/rackspace/models/compute/flavor.rb", "lib/fog/rackspace/models/compute/flavors.rb", "lib/fog/rackspace/models/compute/image.rb", "lib/fog/rackspace/models/compute/images.rb", "lib/fog/rackspace/models/compute/server.rb", "lib/fog/rackspace/models/compute/servers.rb", "lib/fog/rackspace/models/storage/directories.rb", "lib/fog/rackspace/models/storage/directory.rb", "lib/fog/rackspace/models/storage/file.rb", "lib/fog/rackspace/models/storage/files.rb", "lib/fog/rackspace/requests/cdn/get_containers.rb", "lib/fog/rackspace/requests/cdn/head_container.rb", "lib/fog/rackspace/requests/cdn/put_container.rb", "lib/fog/rackspace/requests/compute/confirm_resized_server.rb", "lib/fog/rackspace/requests/compute/create_image.rb", "lib/fog/rackspace/requests/compute/create_server.rb", "lib/fog/rackspace/requests/compute/delete_image.rb", "lib/fog/rackspace/requests/compute/delete_server.rb", "lib/fog/rackspace/requests/compute/get_flavor_details.rb", "lib/fog/rackspace/requests/compute/get_image_details.rb", "lib/fog/rackspace/requests/compute/get_server_details.rb", "lib/fog/rackspace/requests/compute/list_addresses.rb", "lib/fog/rackspace/requests/compute/list_flavors.rb", "lib/fog/rackspace/requests/compute/list_flavors_detail.rb", "lib/fog/rackspace/requests/compute/list_images.rb", "lib/fog/rackspace/requests/compute/list_images_detail.rb", "lib/fog/rackspace/requests/compute/list_private_addresses.rb", "lib/fog/rackspace/requests/compute/list_public_addresses.rb", "lib/fog/rackspace/requests/compute/list_servers.rb", "lib/fog/rackspace/requests/compute/list_servers_detail.rb", "lib/fog/rackspace/requests/compute/reboot_server.rb", "lib/fog/rackspace/requests/compute/resize_server.rb", "lib/fog/rackspace/requests/compute/revert_resized_server.rb", "lib/fog/rackspace/requests/compute/server_action.rb", "lib/fog/rackspace/requests/compute/update_server.rb", "lib/fog/rackspace/requests/storage/delete_container.rb", "lib/fog/rackspace/requests/storage/delete_object.rb", "lib/fog/rackspace/requests/storage/get_container.rb", "lib/fog/rackspace/requests/storage/get_containers.rb", "lib/fog/rackspace/requests/storage/get_object.rb", "lib/fog/rackspace/requests/storage/head_container.rb", "lib/fog/rackspace/requests/storage/head_containers.rb", "lib/fog/rackspace/requests/storage/head_object.rb", "lib/fog/rackspace/requests/storage/put_container.rb", "lib/fog/rackspace/requests/storage/put_object.rb", "lib/fog/rackspace/servers.rb", "lib/fog/rackspace/storage.rb", "lib/fog/slicehost.rb", "lib/fog/slicehost/bin.rb", "lib/fog/slicehost/compute.rb", "lib/fog/slicehost/dns.rb", "lib/fog/slicehost/models/compute/flavor.rb", "lib/fog/slicehost/models/compute/flavors.rb", "lib/fog/slicehost/models/compute/image.rb", "lib/fog/slicehost/models/compute/images.rb", "lib/fog/slicehost/models/compute/server.rb", "lib/fog/slicehost/models/compute/servers.rb", "lib/fog/slicehost/models/dns/record.rb", "lib/fog/slicehost/models/dns/records.rb", "lib/fog/slicehost/models/dns/zone.rb", "lib/fog/slicehost/models/dns/zones.rb", "lib/fog/slicehost/parsers/compute/create_slice.rb", "lib/fog/slicehost/parsers/compute/get_backups.rb", "lib/fog/slicehost/parsers/compute/get_flavor.rb", "lib/fog/slicehost/parsers/compute/get_flavors.rb", "lib/fog/slicehost/parsers/compute/get_image.rb", "lib/fog/slicehost/parsers/compute/get_images.rb", "lib/fog/slicehost/parsers/compute/get_slice.rb", "lib/fog/slicehost/parsers/compute/get_slices.rb", "lib/fog/slicehost/parsers/dns/create_record.rb", "lib/fog/slicehost/parsers/dns/create_zone.rb", "lib/fog/slicehost/parsers/dns/get_record.rb", "lib/fog/slicehost/parsers/dns/get_records.rb", "lib/fog/slicehost/parsers/dns/get_zone.rb", "lib/fog/slicehost/parsers/dns/get_zones.rb", "lib/fog/slicehost/requests/compute/create_slice.rb", "lib/fog/slicehost/requests/compute/delete_slice.rb", "lib/fog/slicehost/requests/compute/get_backups.rb", "lib/fog/slicehost/requests/compute/get_flavor.rb", "lib/fog/slicehost/requests/compute/get_flavors.rb", "lib/fog/slicehost/requests/compute/get_image.rb", "lib/fog/slicehost/requests/compute/get_images.rb", "lib/fog/slicehost/requests/compute/get_slice.rb", "lib/fog/slicehost/requests/compute/get_slices.rb", "lib/fog/slicehost/requests/compute/reboot_slice.rb", "lib/fog/slicehost/requests/dns/create_record.rb", "lib/fog/slicehost/requests/dns/create_zone.rb", "lib/fog/slicehost/requests/dns/delete_record.rb", "lib/fog/slicehost/requests/dns/delete_zone.rb", "lib/fog/slicehost/requests/dns/get_record.rb", "lib/fog/slicehost/requests/dns/get_records.rb", "lib/fog/slicehost/requests/dns/get_zone.rb", "lib/fog/slicehost/requests/dns/get_zones.rb", "lib/fog/terremark.rb", "lib/fog/terremark/bin.rb", "lib/fog/terremark/ecloud.rb", "lib/fog/terremark/models/shared/address.rb", "lib/fog/terremark/models/shared/addresses.rb", "lib/fog/terremark/models/shared/network.rb", "lib/fog/terremark/models/shared/networks.rb", "lib/fog/terremark/models/shared/server.rb", "lib/fog/terremark/models/shared/servers.rb", "lib/fog/terremark/models/shared/task.rb", "lib/fog/terremark/models/shared/tasks.rb", "lib/fog/terremark/models/shared/vdc.rb", "lib/fog/terremark/models/shared/vdcs.rb", "lib/fog/terremark/parser.rb", "lib/fog/terremark/parsers/shared/get_catalog.rb", "lib/fog/terremark/parsers/shared/get_catalog_item.rb", "lib/fog/terremark/parsers/shared/get_internet_services.rb", "lib/fog/terremark/parsers/shared/get_network_ips.rb", "lib/fog/terremark/parsers/shared/get_node_services.rb", "lib/fog/terremark/parsers/shared/get_organization.rb", "lib/fog/terremark/parsers/shared/get_organizations.rb", "lib/fog/terremark/parsers/shared/get_public_ips.rb", "lib/fog/terremark/parsers/shared/get_tasks_list.rb", "lib/fog/terremark/parsers/shared/get_vapp_template.rb", "lib/fog/terremark/parsers/shared/get_vdc.rb", "lib/fog/terremark/parsers/shared/instantiate_vapp_template.rb", "lib/fog/terremark/parsers/shared/internet_service.rb", "lib/fog/terremark/parsers/shared/network.rb", "lib/fog/terremark/parsers/shared/node_service.rb", "lib/fog/terremark/parsers/shared/public_ip.rb", "lib/fog/terremark/parsers/shared/task.rb", "lib/fog/terremark/parsers/shared/vapp.rb", "lib/fog/terremark/requests/shared/add_internet_service.rb", "lib/fog/terremark/requests/shared/add_node_service.rb", "lib/fog/terremark/requests/shared/create_internet_service.rb", "lib/fog/terremark/requests/shared/delete_internet_service.rb", "lib/fog/terremark/requests/shared/delete_node_service.rb", "lib/fog/terremark/requests/shared/delete_public_ip.rb", "lib/fog/terremark/requests/shared/delete_vapp.rb", "lib/fog/terremark/requests/shared/deploy_vapp.rb", "lib/fog/terremark/requests/shared/get_catalog.rb", "lib/fog/terremark/requests/shared/get_catalog_item.rb", "lib/fog/terremark/requests/shared/get_internet_services.rb", "lib/fog/terremark/requests/shared/get_network.rb", "lib/fog/terremark/requests/shared/get_network_ips.rb", "lib/fog/terremark/requests/shared/get_node_services.rb", "lib/fog/terremark/requests/shared/get_organization.rb", "lib/fog/terremark/requests/shared/get_organizations.rb", "lib/fog/terremark/requests/shared/get_public_ip.rb", "lib/fog/terremark/requests/shared/get_public_ips.rb", "lib/fog/terremark/requests/shared/get_task.rb", "lib/fog/terremark/requests/shared/get_tasks_list.rb", "lib/fog/terremark/requests/shared/get_vapp.rb", "lib/fog/terremark/requests/shared/get_vapp_template.rb", "lib/fog/terremark/requests/shared/get_vdc.rb", "lib/fog/terremark/requests/shared/instantiate_vapp_template.rb", "lib/fog/terremark/requests/shared/power_off.rb", "lib/fog/terremark/requests/shared/power_on.rb", "lib/fog/terremark/requests/shared/power_reset.rb", "lib/fog/terremark/requests/shared/power_shutdown.rb", "lib/fog/terremark/shared.rb", "lib/fog/terremark/vcloud.rb", "lib/fog/vcloud.rb", "lib/fog/vcloud/bin.rb", "lib/fog/vcloud/collection.rb", "lib/fog/vcloud/generators.rb", "lib/fog/vcloud/mock_data_classes.rb", "lib/fog/vcloud/model.rb", "lib/fog/vcloud/models/vdc.rb", "lib/fog/vcloud/models/vdcs.rb", "lib/fog/vcloud/requests/get_network.rb", "lib/fog/vcloud/requests/get_organization.rb", "lib/fog/vcloud/requests/get_vdc.rb", "lib/fog/vcloud/requests/get_versions.rb", "lib/fog/vcloud/requests/login.rb", "lib/fog/vcloud/terremark/ecloud.rb", "lib/fog/vcloud/terremark/ecloud/models/backup_internet_service.rb", "lib/fog/vcloud/terremark/ecloud/models/backup_internet_services.rb", "lib/fog/vcloud/terremark/ecloud/models/catalog.rb", "lib/fog/vcloud/terremark/ecloud/models/catalog_item.rb", "lib/fog/vcloud/terremark/ecloud/models/firewall_acl.rb", "lib/fog/vcloud/terremark/ecloud/models/firewall_acls.rb", "lib/fog/vcloud/terremark/ecloud/models/internet_service.rb", "lib/fog/vcloud/terremark/ecloud/models/internet_services.rb", "lib/fog/vcloud/terremark/ecloud/models/ip.rb", "lib/fog/vcloud/terremark/ecloud/models/ips.rb", "lib/fog/vcloud/terremark/ecloud/models/network.rb", "lib/fog/vcloud/terremark/ecloud/models/networks.rb", "lib/fog/vcloud/terremark/ecloud/models/node.rb", "lib/fog/vcloud/terremark/ecloud/models/nodes.rb", "lib/fog/vcloud/terremark/ecloud/models/public_ip.rb", "lib/fog/vcloud/terremark/ecloud/models/public_ips.rb", "lib/fog/vcloud/terremark/ecloud/models/server.rb", "lib/fog/vcloud/terremark/ecloud/models/servers.rb", "lib/fog/vcloud/terremark/ecloud/models/task.rb", "lib/fog/vcloud/terremark/ecloud/models/tasks.rb", "lib/fog/vcloud/terremark/ecloud/models/vdc.rb", "lib/fog/vcloud/terremark/ecloud/models/vdcs.rb", "lib/fog/vcloud/terremark/ecloud/requests/add_backup_internet_service.rb", "lib/fog/vcloud/terremark/ecloud/requests/add_internet_service.rb", "lib/fog/vcloud/terremark/ecloud/requests/add_node.rb", "lib/fog/vcloud/terremark/ecloud/requests/clone_vapp.rb", "lib/fog/vcloud/terremark/ecloud/requests/configure_internet_service.rb", "lib/fog/vcloud/terremark/ecloud/requests/configure_network.rb", "lib/fog/vcloud/terremark/ecloud/requests/configure_network_ip.rb", "lib/fog/vcloud/terremark/ecloud/requests/configure_node.rb", "lib/fog/vcloud/terremark/ecloud/requests/configure_vapp.rb", "lib/fog/vcloud/terremark/ecloud/requests/delete_internet_service.rb", "lib/fog/vcloud/terremark/ecloud/requests/delete_node.rb", "lib/fog/vcloud/terremark/ecloud/requests/delete_vapp.rb", "lib/fog/vcloud/terremark/ecloud/requests/get_catalog.rb", "lib/fog/vcloud/terremark/ecloud/requests/get_catalog_item.rb", "lib/fog/vcloud/terremark/ecloud/requests/get_customization_options.rb", "lib/fog/vcloud/terremark/ecloud/requests/get_firewall_acl.rb", "lib/fog/vcloud/terremark/ecloud/requests/get_firewall_acls.rb", "lib/fog/vcloud/terremark/ecloud/requests/get_internet_services.rb", "lib/fog/vcloud/terremark/ecloud/requests/get_network.rb", "lib/fog/vcloud/terremark/ecloud/requests/get_network_extensions.rb", "lib/fog/vcloud/terremark/ecloud/requests/get_network_ip.rb", "lib/fog/vcloud/terremark/ecloud/requests/get_network_ips.rb", "lib/fog/vcloud/terremark/ecloud/requests/get_node.rb", "lib/fog/vcloud/terremark/ecloud/requests/get_nodes.rb", "lib/fog/vcloud/terremark/ecloud/requests/get_public_ip.rb", "lib/fog/vcloud/terremark/ecloud/requests/get_public_ips.rb", "lib/fog/vcloud/terremark/ecloud/requests/get_task.rb", "lib/fog/vcloud/terremark/ecloud/requests/get_task_list.rb", "lib/fog/vcloud/terremark/ecloud/requests/get_vapp.rb", "lib/fog/vcloud/terremark/ecloud/requests/get_vapp_template.rb", "lib/fog/vcloud/terremark/ecloud/requests/get_vdc.rb", "lib/fog/vcloud/terremark/ecloud/requests/instantiate_vapp_template.rb", "lib/fog/vcloud/terremark/ecloud/requests/power_off.rb", "lib/fog/vcloud/terremark/ecloud/requests/power_on.rb", "lib/fog/vcloud/terremark/ecloud/requests/power_reset.rb", "lib/fog/vcloud/terremark/ecloud/requests/power_shutdown.rb", "lib/fog/vcloud/terremark/vcloud.rb", "lib/fog/vcloud/terremark/vcloud/requests/get_vdc.rb", "lib/fog/zerigo.rb", "lib/fog/zerigo/bin.rb", "lib/fog/zerigo/dns.rb", "lib/fog/zerigo/models/dns/record.rb", "lib/fog/zerigo/models/dns/records.rb", "lib/fog/zerigo/models/dns/zone.rb", "lib/fog/zerigo/models/dns/zones.rb", "lib/fog/zerigo/parsers/dns/count_hosts.rb", "lib/fog/zerigo/parsers/dns/count_zones.rb", "lib/fog/zerigo/parsers/dns/create_host.rb", "lib/fog/zerigo/parsers/dns/create_zone.rb", "lib/fog/zerigo/parsers/dns/find_hosts.rb", "lib/fog/zerigo/parsers/dns/get_host.rb", "lib/fog/zerigo/parsers/dns/get_zone.rb", "lib/fog/zerigo/parsers/dns/get_zone_stats.rb", "lib/fog/zerigo/parsers/dns/list_hosts.rb", "lib/fog/zerigo/parsers/dns/list_zones.rb", "lib/fog/zerigo/requests/dns/count_hosts.rb", "lib/fog/zerigo/requests/dns/count_zones.rb", "lib/fog/zerigo/requests/dns/create_host.rb", "lib/fog/zerigo/requests/dns/create_zone.rb", "lib/fog/zerigo/requests/dns/delete_host.rb", "lib/fog/zerigo/requests/dns/delete_zone.rb", "lib/fog/zerigo/requests/dns/find_hosts.rb", "lib/fog/zerigo/requests/dns/get_host.rb", "lib/fog/zerigo/requests/dns/get_zone.rb", "lib/fog/zerigo/requests/dns/get_zone_stats.rb", "lib/fog/zerigo/requests/dns/list_hosts.rb", "lib/fog/zerigo/requests/dns/list_zones.rb", "lib/fog/zerigo/requests/dns/update_host.rb", "lib/fog/zerigo/requests/dns/update_zone.rb", "spec/aws/models/compute/address_spec.rb", "spec/aws/models/compute/addresses_spec.rb", "spec/aws/models/compute/key_pair_spec.rb", "spec/aws/models/compute/key_pairs_spec.rb", "spec/aws/models/compute/security_group_spec.rb", "spec/aws/models/compute/security_groups_spec.rb", "spec/aws/models/compute/server_spec.rb", "spec/aws/models/compute/snapshot_spec.rb", "spec/aws/models/compute/snapshots_spec.rb", "spec/aws/models/compute/volume_spec.rb", "spec/aws/models/compute/volumes_spec.rb", "spec/spec_helper.rb", "spec/vcloud/bin_spec.rb", "spec/vcloud/models/vdc_spec.rb", "spec/vcloud/models/vdcs_spec.rb", "spec/vcloud/requests/get_network_spec.rb", "spec/vcloud/requests/get_organization_spec.rb", "spec/vcloud/requests/get_vdc_spec.rb", "spec/vcloud/requests/get_versions_spec.rb", "spec/vcloud/requests/login_spec.rb", "spec/vcloud/spec_helper.rb", "spec/vcloud/terremark/ecloud/models/backup_internet_service_spec.rb", "spec/vcloud/terremark/ecloud/models/backup_internet_services_spec.rb", "spec/vcloud/terremark/ecloud/models/internet_service_spec.rb", "spec/vcloud/terremark/ecloud/models/internet_services_spec.rb", "spec/vcloud/terremark/ecloud/models/ip_spec.rb", "spec/vcloud/terremark/ecloud/models/ips_spec.rb", "spec/vcloud/terremark/ecloud/models/network_spec.rb", "spec/vcloud/terremark/ecloud/models/networks_spec.rb", "spec/vcloud/terremark/ecloud/models/node_spec.rb", "spec/vcloud/terremark/ecloud/models/nodes_spec.rb", "spec/vcloud/terremark/ecloud/models/public_ip_spec.rb", "spec/vcloud/terremark/ecloud/models/public_ips_spec.rb", "spec/vcloud/terremark/ecloud/models/server_spec.rb", "spec/vcloud/terremark/ecloud/models/vdc_spec.rb", "spec/vcloud/terremark/ecloud/models/vdcs_spec.rb", "spec/vcloud/terremark/ecloud/requests/add_backup_internet_service_spec.rb", "spec/vcloud/terremark/ecloud/requests/add_internet_service_spec.rb", "spec/vcloud/terremark/ecloud/requests/add_node_spec.rb", "spec/vcloud/terremark/ecloud/requests/configure_internet_service_spec.rb", "spec/vcloud/terremark/ecloud/requests/configure_network_ip_spec.rb", "spec/vcloud/terremark/ecloud/requests/configure_node_spec.rb", "spec/vcloud/terremark/ecloud/requests/configure_vapp_spec.rb", "spec/vcloud/terremark/ecloud/requests/delete_internet_service_spec.rb", "spec/vcloud/terremark/ecloud/requests/delete_node_spec.rb", "spec/vcloud/terremark/ecloud/requests/delete_vapp_spec.rb", "spec/vcloud/terremark/ecloud/requests/get_catalog_item_spec.rb", "spec/vcloud/terremark/ecloud/requests/get_catalog_spec.rb", "spec/vcloud/terremark/ecloud/requests/get_customization_options_spec.rb", "spec/vcloud/terremark/ecloud/requests/get_internet_services_spec.rb", "spec/vcloud/terremark/ecloud/requests/get_network_ip_spec.rb", "spec/vcloud/terremark/ecloud/requests/get_network_ips_spec.rb", "spec/vcloud/terremark/ecloud/requests/get_network_spec.rb", "spec/vcloud/terremark/ecloud/requests/get_node_spec.rb", "spec/vcloud/terremark/ecloud/requests/get_nodes_spec.rb", "spec/vcloud/terremark/ecloud/requests/get_public_ip_spec.rb", "spec/vcloud/terremark/ecloud/requests/get_public_ips_spec.rb", "spec/vcloud/terremark/ecloud/requests/get_vapp_spec.rb", "spec/vcloud/terremark/ecloud/requests/get_vdc_spec.rb", "spec/vcloud/terremark/ecloud/requests/instantiate_vapp_template_spec.rb", "spec/vcloud/terremark/ecloud/requests/login_spec.rb", "spec/vcloud/terremark/ecloud/requests/power_off_spec.rb", "spec/vcloud/terremark/ecloud/requests/power_on_spec.rb", "spec/vcloud/vcloud_spec.rb", "tests/aws/requests/iam/access_key_tests.rb", "tests/aws/requests/iam/group_policy_tests.rb", "tests/aws/requests/iam/group_tests.rb", "tests/aws/requests/iam/helper.rb", "tests/aws/requests/iam/user_policy_tests.rb", "tests/aws/requests/iam/user_tests.rb", "tests/aws/requests/simpledb/attributes_tests.rb", "tests/aws/requests/simpledb/domain_tests.rb", "tests/aws/requests/simpledb/helper.rb", "tests/compute/helper.rb", "tests/compute/models/flavors_tests.rb", "tests/compute/models/server_tests.rb", "tests/compute/models/servers_tests.rb", "tests/compute/requests/aws/address_tests.rb", "tests/compute/requests/aws/availability_zone_tests.rb", "tests/compute/requests/aws/helper.rb", "tests/compute/requests/aws/image_tests.rb", "tests/compute/requests/aws/instance_tests.rb", "tests/compute/requests/aws/key_pair_tests.rb", "tests/compute/requests/aws/region_tests.rb", "tests/compute/requests/aws/security_group_tests.rb", "tests/compute/requests/aws/snapshot_tests.rb", "tests/compute/requests/aws/tag_tests.rb", "tests/compute/requests/aws/volume_tests.rb", "tests/compute/requests/bluebox/block_tests.rb", "tests/compute/requests/bluebox/helper.rb", "tests/compute/requests/bluebox/product_tests.rb", "tests/compute/requests/bluebox/template_tests.rb", "tests/compute/requests/brightbox/account_tests.rb", "tests/compute/requests/brightbox/api_client_tests.rb", "tests/compute/requests/brightbox/cloud_ip_tests.rb", "tests/compute/requests/brightbox/helper.rb", "tests/compute/requests/brightbox/image_tests.rb", "tests/compute/requests/brightbox/interface_tests.rb", "tests/compute/requests/brightbox/load_balancer_tests.rb", "tests/compute/requests/brightbox/server_tests.rb", "tests/compute/requests/brightbox/server_type_tests.rb", "tests/compute/requests/brightbox/user_tests.rb", "tests/compute/requests/brightbox/zone_tests.rb", "tests/compute/requests/go_grid/image_tests.rb", "tests/compute/requests/linode/datacenter_tests.rb", "tests/compute/requests/linode/distribution_tests.rb", "tests/compute/requests/linode/helper.rb", "tests/compute/requests/linode/linode_tests.rb", "tests/compute/requests/linode/linodeplans_tests.rb", "tests/compute/requests/rackspace/address_tests.rb", "tests/compute/requests/rackspace/flavor_tests.rb", "tests/compute/requests/rackspace/helper.rb", "tests/compute/requests/rackspace/image_tests.rb", "tests/compute/requests/rackspace/resize_tests.rb", "tests/compute/requests/rackspace/server_tests.rb", "tests/compute/requests/slicehost/backup_tests.rb", "tests/compute/requests/slicehost/flavor_tests.rb", "tests/compute/requests/slicehost/image_tests.rb", "tests/compute/requests/slicehost/slice_tests.rb", "tests/core/attribute_tests.rb", "tests/dns/helper.rb", "tests/dns/models/record_tests.rb", "tests/dns/models/records_tests.rb", "tests/dns/models/zone_tests.rb", "tests/dns/models/zones_tests.rb", "tests/dns/requests/aws/dns_tests.rb", "tests/dns/requests/linode/dns_tests.rb", "tests/dns/requests/slicehost/dns_tests.rb", "tests/dns/requests/zerigo/dns_tests.rb", "tests/helper.rb", "tests/helpers/collection_helper.rb", "tests/helpers/compute/flavors_helper.rb", "tests/helpers/compute/server_helper.rb", "tests/helpers/compute/servers_helper.rb", "tests/helpers/formats_helper.rb", "tests/helpers/formats_helper_tests.rb", "tests/helpers/model_helper.rb", "tests/helpers/responds_to_helper.rb", "tests/helpers/succeeds_helper.rb", "tests/lorem.txt", "tests/storage/helper.rb", "tests/storage/models/directories_tests.rb", "tests/storage/models/directory_test.rb", "tests/storage/models/file_tests.rb", "tests/storage/models/files_tests.rb", "tests/storage/requests/aws/bucket_tests.rb", "tests/storage/requests/aws/multipart_upload_tests.rb", "tests/storage/requests/aws/object_tests.rb", "tests/storage/requests/google/bucket_tests.rb", "tests/storage/requests/google/object_tests.rb", "tests/storage/requests/rackspace/container_tests.rb", "tests/storage/requests/rackspace/object_tests.rb"]
  s.homepage = %q{http://github.com/geemus/fog}
  s.rdoc_options = ["--charset=UTF-8"]
  s.require_paths = ["lib"]
  s.rubyforge_project = %q{fog}
  s.rubygems_version = %q{1.3.6}
  s.summary = %q{brings clouds to you}
  s.test_files = ["spec/aws/models/compute/address_spec.rb", "spec/aws/models/compute/addresses_spec.rb", "spec/aws/models/compute/key_pair_spec.rb", "spec/aws/models/compute/key_pairs_spec.rb", "spec/aws/models/compute/security_group_spec.rb", "spec/aws/models/compute/security_groups_spec.rb", "spec/aws/models/compute/server_spec.rb", "spec/aws/models/compute/snapshot_spec.rb", "spec/aws/models/compute/snapshots_spec.rb", "spec/aws/models/compute/volume_spec.rb", "spec/aws/models/compute/volumes_spec.rb", "spec/spec_helper.rb", "spec/vcloud/bin_spec.rb", "spec/vcloud/models/vdc_spec.rb", "spec/vcloud/models/vdcs_spec.rb", "spec/vcloud/requests/get_network_spec.rb", "spec/vcloud/requests/get_organization_spec.rb", "spec/vcloud/requests/get_vdc_spec.rb", "spec/vcloud/requests/get_versions_spec.rb", "spec/vcloud/requests/login_spec.rb", "spec/vcloud/spec_helper.rb", "spec/vcloud/terremark/ecloud/models/backup_internet_service_spec.rb", "spec/vcloud/terremark/ecloud/models/backup_internet_services_spec.rb", "spec/vcloud/terremark/ecloud/models/internet_service_spec.rb", "spec/vcloud/terremark/ecloud/models/internet_services_spec.rb", "spec/vcloud/terremark/ecloud/models/ip_spec.rb", "spec/vcloud/terremark/ecloud/models/ips_spec.rb", "spec/vcloud/terremark/ecloud/models/network_spec.rb", "spec/vcloud/terremark/ecloud/models/networks_spec.rb", "spec/vcloud/terremark/ecloud/models/node_spec.rb", "spec/vcloud/terremark/ecloud/models/nodes_spec.rb", "spec/vcloud/terremark/ecloud/models/public_ip_spec.rb", "spec/vcloud/terremark/ecloud/models/public_ips_spec.rb", "spec/vcloud/terremark/ecloud/models/server_spec.rb", "spec/vcloud/terremark/ecloud/models/vdc_spec.rb", "spec/vcloud/terremark/ecloud/models/vdcs_spec.rb", "spec/vcloud/terremark/ecloud/requests/add_backup_internet_service_spec.rb", "spec/vcloud/terremark/ecloud/requests/add_internet_service_spec.rb", "spec/vcloud/terremark/ecloud/requests/add_node_spec.rb", "spec/vcloud/terremark/ecloud/requests/configure_internet_service_spec.rb", "spec/vcloud/terremark/ecloud/requests/configure_network_ip_spec.rb", "spec/vcloud/terremark/ecloud/requests/configure_node_spec.rb", "spec/vcloud/terremark/ecloud/requests/configure_vapp_spec.rb", "spec/vcloud/terremark/ecloud/requests/delete_internet_service_spec.rb", "spec/vcloud/terremark/ecloud/requests/delete_node_spec.rb", "spec/vcloud/terremark/ecloud/requests/delete_vapp_spec.rb", "spec/vcloud/terremark/ecloud/requests/get_catalog_item_spec.rb", "spec/vcloud/terremark/ecloud/requests/get_catalog_spec.rb", "spec/vcloud/terremark/ecloud/requests/get_customization_options_spec.rb", "spec/vcloud/terremark/ecloud/requests/get_internet_services_spec.rb", "spec/vcloud/terremark/ecloud/requests/get_network_ip_spec.rb", "spec/vcloud/terremark/ecloud/requests/get_network_ips_spec.rb", "spec/vcloud/terremark/ecloud/requests/get_network_spec.rb", "spec/vcloud/terremark/ecloud/requests/get_node_spec.rb", "spec/vcloud/terremark/ecloud/requests/get_nodes_spec.rb", "spec/vcloud/terremark/ecloud/requests/get_public_ip_spec.rb", "spec/vcloud/terremark/ecloud/requests/get_public_ips_spec.rb", "spec/vcloud/terremark/ecloud/requests/get_vapp_spec.rb", "spec/vcloud/terremark/ecloud/requests/get_vdc_spec.rb", "spec/vcloud/terremark/ecloud/requests/instantiate_vapp_template_spec.rb", "spec/vcloud/terremark/ecloud/requests/login_spec.rb", "spec/vcloud/terremark/ecloud/requests/power_off_spec.rb", "spec/vcloud/terremark/ecloud/requests/power_on_spec.rb", "spec/vcloud/vcloud_spec.rb", "tests/aws/requests/iam/access_key_tests.rb", "tests/aws/requests/iam/group_policy_tests.rb", "tests/aws/requests/iam/group_tests.rb", "tests/aws/requests/iam/helper.rb", "tests/aws/requests/iam/user_policy_tests.rb", "tests/aws/requests/iam/user_tests.rb", "tests/aws/requests/simpledb/attributes_tests.rb", "tests/aws/requests/simpledb/domain_tests.rb", "tests/aws/requests/simpledb/helper.rb", "tests/compute/helper.rb", "tests/compute/models/flavors_tests.rb", "tests/compute/models/server_tests.rb", "tests/compute/models/servers_tests.rb", "tests/compute/requests/aws/address_tests.rb", "tests/compute/requests/aws/availability_zone_tests.rb", "tests/compute/requests/aws/helper.rb", "tests/compute/requests/aws/image_tests.rb", "tests/compute/requests/aws/instance_tests.rb", "tests/compute/requests/aws/key_pair_tests.rb", "tests/compute/requests/aws/region_tests.rb", "tests/compute/requests/aws/security_group_tests.rb", "tests/compute/requests/aws/snapshot_tests.rb", "tests/compute/requests/aws/tag_tests.rb", "tests/compute/requests/aws/volume_tests.rb", "tests/compute/requests/bluebox/block_tests.rb", "tests/compute/requests/bluebox/helper.rb", "tests/compute/requests/bluebox/product_tests.rb", "tests/compute/requests/bluebox/template_tests.rb", "tests/compute/requests/brightbox/account_tests.rb", "tests/compute/requests/brightbox/api_client_tests.rb", "tests/compute/requests/brightbox/cloud_ip_tests.rb", "tests/compute/requests/brightbox/helper.rb", "tests/compute/requests/brightbox/image_tests.rb", "tests/compute/requests/brightbox/interface_tests.rb", "tests/compute/requests/brightbox/load_balancer_tests.rb", "tests/compute/requests/brightbox/server_tests.rb", "tests/compute/requests/brightbox/server_type_tests.rb", "tests/compute/requests/brightbox/user_tests.rb", "tests/compute/requests/brightbox/zone_tests.rb", "tests/compute/requests/go_grid/image_tests.rb", "tests/compute/requests/linode/datacenter_tests.rb", "tests/compute/requests/linode/distribution_tests.rb", "tests/compute/requests/linode/helper.rb", "tests/compute/requests/linode/linode_tests.rb", "tests/compute/requests/linode/linodeplans_tests.rb", "tests/compute/requests/rackspace/address_tests.rb", "tests/compute/requests/rackspace/flavor_tests.rb", "tests/compute/requests/rackspace/helper.rb", "tests/compute/requests/rackspace/image_tests.rb", "tests/compute/requests/rackspace/resize_tests.rb", "tests/compute/requests/rackspace/server_tests.rb", "tests/compute/requests/slicehost/backup_tests.rb", "tests/compute/requests/slicehost/flavor_tests.rb", "tests/compute/requests/slicehost/image_tests.rb", "tests/compute/requests/slicehost/slice_tests.rb", "tests/core/attribute_tests.rb", "tests/dns/helper.rb", "tests/dns/models/record_tests.rb", "tests/dns/models/records_tests.rb", "tests/dns/models/zone_tests.rb", "tests/dns/models/zones_tests.rb", "tests/dns/requests/aws/dns_tests.rb", "tests/dns/requests/linode/dns_tests.rb", "tests/dns/requests/slicehost/dns_tests.rb", "tests/dns/requests/zerigo/dns_tests.rb", "tests/helper.rb", "tests/helpers/collection_helper.rb", "tests/helpers/compute/flavors_helper.rb", "tests/helpers/compute/server_helper.rb", "tests/helpers/compute/servers_helper.rb", "tests/helpers/formats_helper.rb", "tests/helpers/formats_helper_tests.rb", "tests/helpers/model_helper.rb", "tests/helpers/responds_to_helper.rb", "tests/helpers/succeeds_helper.rb", "tests/lorem.txt", "tests/storage/helper.rb", "tests/storage/models/directories_tests.rb", "tests/storage/models/directory_test.rb", "tests/storage/models/file_tests.rb", "tests/storage/models/files_tests.rb", "tests/storage/requests/aws/bucket_tests.rb", "tests/storage/requests/aws/multipart_upload_tests.rb", "tests/storage/requests/aws/object_tests.rb", "tests/storage/requests/google/bucket_tests.rb", "tests/storage/requests/google/object_tests.rb", "tests/storage/requests/rackspace/container_tests.rb", "tests/storage/requests/rackspace/object_tests.rb"]

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 2

    if Gem::Version.new(Gem::RubyGemsVersion) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<builder>, [">= 0"])
      s.add_runtime_dependency(%q<excon>, [">= 0.3.7"])
      s.add_runtime_dependency(%q<formatador>, [">= 0.0.16"])
      s.add_runtime_dependency(%q<json>, [">= 0"])
      s.add_runtime_dependency(%q<mime-types>, [">= 0"])
      s.add_runtime_dependency(%q<net-ssh>, [">= 2.0.23"])
      s.add_runtime_dependency(%q<nokogiri>, [">= 1.4.4"])
      s.add_runtime_dependency(%q<ruby-hmac>, [">= 0"])
      s.add_development_dependency(%q<rake>, [">= 0"])
      s.add_development_dependency(%q<rspec>, ["= 1.3.1"])
      s.add_development_dependency(%q<shindo>, ["= 0.1.12"])
    else
      s.add_dependency(%q<builder>, [">= 0"])
      s.add_dependency(%q<excon>, [">= 0.3.7"])
      s.add_dependency(%q<formatador>, [">= 0.0.16"])
      s.add_dependency(%q<json>, [">= 0"])
      s.add_dependency(%q<mime-types>, [">= 0"])
      s.add_dependency(%q<net-ssh>, [">= 2.0.23"])
      s.add_dependency(%q<nokogiri>, [">= 1.4.4"])
      s.add_dependency(%q<ruby-hmac>, [">= 0"])
      s.add_dependency(%q<rake>, [">= 0"])
      s.add_dependency(%q<rspec>, ["= 1.3.1"])
      s.add_dependency(%q<shindo>, ["= 0.1.12"])
    end
  else
    s.add_dependency(%q<builder>, [">= 0"])
    s.add_dependency(%q<excon>, [">= 0.3.7"])
    s.add_dependency(%q<formatador>, [">= 0.0.16"])
    s.add_dependency(%q<json>, [">= 0"])
    s.add_dependency(%q<mime-types>, [">= 0"])
    s.add_dependency(%q<net-ssh>, [">= 2.0.23"])
    s.add_dependency(%q<nokogiri>, [">= 1.4.4"])
    s.add_dependency(%q<ruby-hmac>, [">= 0"])
    s.add_dependency(%q<rake>, [">= 0"])
    s.add_dependency(%q<rspec>, ["= 1.3.1"])
    s.add_dependency(%q<shindo>, ["= 0.1.12"])
  end
end
